#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n; cin>>n;
    vector<int> a(n);
    int b[n][n];
    cin>>a[0];
    b[0][0]=0;
    for(int i=1;i<n;i++)
    {
        cin>>a[i];
        if(a[i]<a[i-1]) b[0][i]=b[0][i-1]+1;
        else b[0][i]=b[0][i-1];
    }
    /*for(int i=0;i<n;i++)
        cout<<b[0][i]<<ends;*/
    for(int i=1;i<n;i++)
    {
        b[i][i]=0;
        for(int j=i+1;j<n;j++)
        {
            b[i][j]=b[i-1][j]-(b[i-1][j-1]-b[i][j-1]);
        }
    }
    /*for(int i=0;i<n;i++){
        for(int j=i;j<n;j++)
        {
            cout<<b[i][j]<<ends;
        }
        cout<<endl;
    }*/
    int q; cin>>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin>>l>>r;
        l--; r--;
        if(b[l][r]>=2) cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
    return 0;
}